Skip to main content
GET
Get Billing Details

Authorizations

Authorization
string
header
required

Path Parameters

externalId
string
required

The ID of the customer, as defined in your application

Response

Successful response

customer
object
required
subscriptions
object[]
required
invoices
object[]
required
paymentMethods
object[]
required
purchases
object[]
required

A purchase record, which describes a transaction that can be associated with either a subscription or single payment price. Each purchase has a specific type that determines its behavior and required fields.

catalog
object
required
pricingModel
object
required
billingPortalUrl
string<uri>
required

The billing portal URL for the customer

currentSubscriptions
object[]

The current subscriptions for the customer. By default, customers can only have one active subscription at a time. This will only return multiple subscriptions if you have enabled multiple subscriptions per customer.

currentSubscription
object

The most recently created current subscription for the customer. If createdAt timestamps tie, the most recently updated subscription will be returned. If updatedAt also ties, subscription id is used as the final tiebreaker.